public class StopThreadTest {
  private static boolean stopRequested;

  private static synchronized void requestStop() {
    stopRequested = true;
  }

  private static synchronized boolean isStopRequested() {
    return stopRequested;
  }

  public static void main(String[] args)
    throws InterruptedException {
    Thread t = new Thread(new Runnable() {
      public void run() {
        int i = 0;
        // ~󂯎
        while (isStopRequested() == false) {
          i++;
        }
      }
    });
    t.start();
    TimeUnit.SECONDS.sleep(1);
    // ~Xbhɓ`
    requestStop();
  }
}